
find_package(GTest)
if (GTest_FOUND)
    file(GLOB SRCS *.cpp)
    add_executable(Tests ${SRCS})
    target_link_libraries(Tests PUBLIC
        GTest::gtest
        OpenLCP
    )
    target_include_directories(Tests PUBLIC
      ${GTEST_INCLUDE_DIRS} # doesn't do anything on Linux
    )
    gtest_discover_tests(Tests)
endif()
